Deprovision an ephemeral environment
POST /api
Also reachable at /api.
Path Parameters
idstring (required)
The ID of the ephemeral environment to deprovision.spaceIdstring (required)
Response
200 — Deprovision an ephemeral environment response
DeprovisioningRunsarray of objectRunbookRunIdstringTaskIdstring
Example Response
{
"DeprovisioningRuns": [
{
"RunbookRunId": "string",
"TaskId": "string"
}
]
}Allow the creation of an ephemeral environment in a given space
POST /api
Also reachable at /api.
Path Parameters
projectIdstring (required)spaceIdstring (required)
Request Body
EnvironmentNamestring (required)
The name to give the new ephemeral environment. Minimum length 1.ProjectIdstring (required)SpaceIdstring (required)
Response
201 — Created
Idstring
Example Request
{
"EnvironmentName": "string",
"ProjectId": "string",
"SpaceId": "string"
}Example Response
{
"Id": "string"
}Deprovision an ephemeral environment for a specific project
POST /api
Also reachable at /api.
Path Parameters
environmentIdstring (required)projectIdstring (required)spaceIdstring (required)
Response
200 — Deprovision an ephemeral environment response
DeprovisioningRunobjectRunbookRunIdstringTaskIdstring
Example Response
{
"DeprovisioningRun": {
"RunbookRunId": "string",
"TaskId": "string"
}
}Mark a failed deprovisioning as successful for an ephemeral environment
POST /api
Also reachable at /api.
Path Parameters
environmentIdstring (required)projectIdstring (required)spaceIdstring (required)
Response
200 — Response to mark deprovisioning as successful for an ephemeral environment
Example Response
{}Retry deprovisioning an ephemeral environment
POST /api
Also reachable at /api.
Path Parameters
environmentIdstring (required)projectIdstring (required)spaceIdstring (required)
Response
200 — Response to retry deprovisioning an ephemeral environment
DeprovisioningRunobjectRunbookRunIdstringTaskIdstring
Example Response
{
"DeprovisioningRun": {
"RunbookRunId": "string",
"TaskId": "string"
}
}Mark a failed provisioning as successful for an ephemeral environment
POST /api
Also reachable at /api.
Path Parameters
environmentIdstring (required)projectIdstring (required)spaceIdstring (required)
Response
200 — Response to mark provisioning as successful for an ephemeral environment
Example Response
{}Retry provisioning an ephemeral environment
POST /api
Also reachable at /api.
Path Parameters
environmentIdstring (required)projectIdstring (required)spaceIdstring (required)
Response
200 — Response to retry provisioning an ephemeral environment
ProvisioningRunobjectRunbookRunIdstringTaskIdstring
Example Response
{
"ProvisioningRun": {
"RunbookRunId": "string",
"TaskId": "string"
}
}Get the status of an ephemeral environment for a given project
GET /api
Also reachable at /api.
Path Parameters
idstring (required)
The ID of the ephemeral environment whose status to report.projectIdstring (required)spaceIdstring (required)
Response
200 — Success
Statusstring
Example Response
{
"Status": "string"
}